.info-data {
  box-shadow: 3px 3px 10px 0px rgb(0 0 0 / 16%);
  border-radius: 16px;
  padding: 5px;
  text-align: center;
  font-size: 18px;
  font-weight: bold;
  /* margin: 1rem; */
  width: 100%;
  margin-top: 1rem;
}

.from {
  color: #447abd;
}

.coin {
  color: #a8a8a8;
  font-size: 16px;
}

.info-circle {
  color: #a8a8a8;
}

.caret-right {
  font-size: x-large;
}

.coin-arrow {
  display: flex;
  align-items: center;
  justify-content: center;
}

.carets {
  margin-left: 2rem;
  color: grey;
}

.loop-data {
  width: 100%;
  max-width: 475px;
  background-color: #447abd;
  box-shadow: 3px 3px 10px 0px rgb(0 0 0 / 16%);
  border-radius: 16px;
  border: 0;
  overflow: hidden;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 90%;
  margin-top: 1rem;
}

.img-loop {
  max-width: 135px;
  margin-bottom: 16px;
}

.mini-swap {
  box-shadow: 3px 3px 10px 0px rgb(0 0 0 / 16%);
  margin-bottom: 16px;
  border-radius: 16px;
  border: 0;
  padding: 0.5rem;
  position: relative;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  margin-top: 1rem;
  display: flex;
  text-align: center;
  align-items: center;
}

.swap-blue {
  background-color: #447abd;
  box-shadow: 3px 3px 10px 0px rgb(0 0 0 / 16%);
  border-radius: 10px;
  border: 0;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
  position: absolute;
  top: 0px;
  right: 0px;
  line-height: 15px;
  width: 85px;
  color: #fff;
}

.swap-small {
  height: 1rem;
  width: 100%;
}

.eco-small {
  height: 2rem;
  width: 2rem;
  background: white;
  border-radius: 16px;
}

.erc20 {
  font-size: 15px;
}

.bep2 {
  font-size: 15px;
}

.left-right-arrow {
  background: #f2f2f2;
  border-radius: 30px;
  height: 19px;
  align-items: center;
  line-height: 21px;
  width: 44px;
}

.left-blue {
  color: blue;
}

.right-red {
  color: red;
  margin-left: 3px;
}

.token {
  margin-left: 0.2rem;
}

.swap-tokens {
  box-shadow: 3px 3px 10px 0px rgb(0 0 0 / 16%);
  /* margin-bottom: 16px; */
  border-radius: 16px;
  border: 0;

  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  position: relative;
}

.btn-1 {
  box-shadow: 3px 3px 10px 0px rgb(0 0 0 / 16%);
  border-radius: 16px;
  border: 0;
  height: 39px;
  line-height: 42px;
  padding-left: 5px;
  text-align: left;
  width: 100%;
  display: flex;
  align-items: center;
  margin: 0.4rem;
}

.buttons-all {
  display: flex;
  justify-content: space-around;
}

.down-arrow {
  text-align: center;
}

.swap-curve {
  background: #447abd;
  color: #fff;
  border-bottom-left-radius: 13px;
  border-bottom-right-radius: 14px;
  font-weight: bold;
  font-size: 15px;
  height: 4rem;
  line-height: 30px;
}

.swap-popup-btn {
  color: #fff;
  background-color: #376baa;
  border-color: #376baa;
  border-radius: 10px;
}

.btn-1:focus {
  background: linear-gradient(
    45deg,
    rgba(33, 147, 132, 1) 0%,
    rgba(71, 204, 184, 1) 100%
  );
  color: white;
}

.btn-1:focus .eco-small {
  height: 2rem;
  width: 2rem;
  border-radius: 20px;
  background: white;
}

.swap-img-div {
  height: auto;
  width: 100%;
}

.swap-img-big {
  height: 20rem;
  width: 100%;
  background: #447abd;
  padding: 5rem;
  border-radius: 20px;
}

.swap-data {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 1rem;
}

.erc20-data {
  align-items: center;
  margin: "0.4rem";
  padding: "0.2rem";
  display: "flex";
  cursor: "pointer";
}

.swap-pic {
  height: 1.5rem;
  width: 1.5rem;
}

.erc20-data-swapss {
  height: 3.2rem;
  background-color: #447abd;
  box-shadow: 3px 3px 10px 0px rgb(0 0 0 / 16%);
  border-radius: 10px;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
  width: 85px;
  color: #fff;
  font-size: 15px;
  font-weight: normal;
  text-align: center;
}

.swap-txt {
  font-weight: 500;
  font-size: 13px;
}

.erc20-arrow {
  display: flex;
  justify-content: space-evenly;
  background: #f2f2f2;
  border-radius: 30px;
  height: 19px;
  line-height: 21px;
  width: 44px;
}

.arrow-left {
  color: blue;
}

.arrow-right {
  color: red;
}

.swap-btn-text {
  font-size: 15px;
  font-weight: bold;
  text-align: left;
  color: #447abd;
  margin-top: 1rem;
  text-align: center;
}

.erc20 {
  display: flex;
  align-items: center;
}

.bold-char {
  font-weight: bold;
}

.memo-heading {
  font-weight: 700;
}

.eco-view {
  font-size: 2rem;
  color: grey;
}

.barcode-img {
  height: 15rem;
}

.submit-popup-btn {
  color: #fff;
  background-color: #c5793f;
  border-color: #c5793f;
  border-radius: 5px;
}

.input-popup-data {
  border-radius: 6px;
  width: 100%;
  border: 1px solid grey;
  width: 100%;
  margin: 0.5rem;
  height: 2rem;
}

.trans-text {
  text-align: left;
  font-size: small;
  margin-left: 0.6rem;
}

/* ----------------- */

.checkbox-tools-swap:checked + div,
.checkbox-tools-swap:not(:checked) + div {
  position: relative;
  display: inline-block;
  padding: 20px;
}
/* .checkbox-tools-swap:not(:checked) + div{
	background-color: var(--dark-light);
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
} */
/* .checkbox-tools-swap:not(:checked) + div:hover{
	box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
} */

[type="radio"]:checked,
[type="radio"]:not(:checked) {
  position: absolute;
  left: -9999px;
  width: 0;
  height: 0;
  visibility: hidden;
}

.checkbox-tools-swap:checked + .erc20 {
  margin: 0.4rem;
  background: #447abd;
  border-radius: 14px;
  color: white;
}

.checkbox-tools-swap:checked + .erc20 .eco-small {
  border-radius: 30px;
  background: white;
}

.swap-btn-txt2{
  margin-bottom: 0px;
  text-align: center;
  color: #447abd;
  font-size: 15px;
  font-weight: bold;
  margin-top: 1rem;
}